Subject: [Cbor] Fwd: [Technical Errata Reported] RFC7049 (5917)

From: Carsten Bormann <[email-masked]>
Date: Sun, 24 Nov 2019 02:58:27 +0100

Whoops.

Which brings up the idea: Maybe we can start a campaign alerting the implementers to our WGLC?
I started in https://github.com/fxamacker/cbor/issues/46 <https://github.com/fxamacker/cbor/issues/46>, but there are three score implementations remaining…

Grüße, Carsten

> Begin forwarded message:
> 
> From: Carsten Bormann <[email-masked]>
> Subject: Re: [Technical Errata Reported] RFC7049 (5917)
> Date: November 24, 2019 at 02:44:28 GMT+1
> To: RFC Errata System <[email-masked]>
> Cc: Paul Hoffman <[email-masked]>, [email-masked], [email-masked]
> 
> This errata report is correct.
> 
> We fixed this in the 7049bis document (which is currently in working-group last call) in revision f3bde9d: https://github.com/cbor-wg/CBORbis/commit/f3bde9d .  Unfortunately, it didn’t occur to us to also supply an errata report, which should have been done.
> 
> Grüße, Carsten
> 
> 
>> On Nov 24, 2019, at 02:06, RFC Errata System <[email-masked]> wrote:
>> 
>> The following errata report has been submitted for RFC7049,
>> "Concise Binary Object Representation (CBOR)".
>> 
>> --------------------------------------
>> You may review the report below and at:
>> https://www.rfc-editor.org/errata/eid5917
>> 
>> --------------------------------------
>> Type: Technical
>> Reported by: Faye Amacker <[email-masked]>
>> 
>> Section: Appendix A
>> 
>> Original Text
>> -------------
>> simple(24)                   | 0xf818  
>> 
>> Corrected Text
>> --------------
>> 
>> 
>> Notes
>> -----
>> This example violates RFC 7049 section 2.3 Floating-Point Numbers and Values with No Content.  
>> 
>> The incorrect example in Appendix A clearly uses a value <32 which is not allowed.
>> 
>> First, RFC 7049 section 2.3 has a table that shows:
>> | 24          | Simple value (value 32..255 in following byte)   |
>> 
>> Next, RFC 7049 section 2.3 says:
>> As with all other major types, the 5-bit value 24 signifies a single-
>> byte extension: it is followed by an additional byte to represent the
>> simple value.  (To minimize confusion, only the values 32 to 255 are
>> used.)
>> 
>> Wikipedia is also currently incorrect by having an interpretation based on the incorrect example from RFC 7049 Appendix A instead of the text from RFC 7049 Section 2.3.
>> 
>> Credits: This problem was first reported at https://github.com/fxamacker/cbor/issues/46
>> 
>> Instructions:
>> -------------
>> This erratum is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party  
>> can log in to change the status and edit the report, if necessary. 
>> 
>> --------------------------------------
>> RFC7049 (draft-bormann-cbor-09)
>> --------------------------------------
>> Title               : Concise Binary Object Representation (CBOR)
>> Publication Date    : October 2013
>> Author(s)           : C. Bormann, P. Hoffman
>> Category            : PROPOSED STANDARD
>> Source              : IETF - NON WORKING GROUP
>> Area                : N/A
>> Stream              : IETF
>> Verifying Party     : IESG
>